package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.AgrupamentoParada;

public class RenderCatalogoDeAgrupamentoDeParadas implements ListitemRenderer {
	
	public void render(Listitem lstm, Object o) throws Exception {
		AgrupamentoParada agrupamentoParada = (AgrupamentoParada) o;

		Listcell lc = new Listcell(agrupamentoParada.getAgrupamentoParadaId().toString());
		lc.setParent(lstm);

		lc = new Listcell(agrupamentoParada.getDescAgrupamentoParada());
		lc.setParent(lstm);

		lc = new Listcell(agrupamentoParada.getCveAgrupamentoParada() == null? " ": agrupamentoParada.getCveAgrupamentoParada());
		lc.setParent(lstm);

		lstm.setAttribute("data", agrupamentoParada);
	}
}
